import 'dart:io';
// import 'dart.io' as io; // io.stdin.writelin()
import 'option.dart';

class Terminal {
  // constructor
  const Terminal();

  void printPrompt(String prompt) {
    // stdout is a property on dart:io package
    // stdout is an instance of Stdout class, so that we don't need to do stdout = new Stdout()
    stdout.writeln(prompt);
  }

  void printOptions(List<Option> options) {
    // for (var i = 0; i < options.length; i++) {
    //   stdout.writeln('[$i] - ${options[i].label}');
    //   // [0] - My color is red
    // }

    options.asMap().forEach((index, option) {
      stdout.writeln('[$index] - ${option.label}');
    });

    stdout.writeln('Enter a choice\n');
    stdout.write('>');
  }

  String collectInput() {
    return stdin.readLineSync();
  }

  void clearScreen() {
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
      // special character that clears out the screen on windows
    } else {
      // special character that clears out the screen on Mac or Linux
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }
}
